Subject: bug#77098: 31.0.50; Segfault when closing an Emacs frame

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Apr 2025 20:11:11 +0300

tags 77098 unreproducible moreinfo
close 77098
thanks

> From: Visuwesh <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Sat, 05 Apr 2025 21:53:56 +0530
> 
> [சனி ஏப்ரல் 05, 2025] Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:
> 
> > Eli Zaretskii <[email-masked]> writes:
> >
> >>> Thanks.  Po Lu, any ideas what could cause this?  Some dead frame we
> >>> still try to use or something?
> >
> > Sorry.  To reach any meaningful conclusions I need the values of:
> >
> >   (gdb) p widget->core.being_destroyed
> >   (gdb) p widget->core.widget_class
> >   (gdb) p *widget->core.parent
> 
> Sorry, that Emacs process unfortunately got killed as I was forced to
> restart my laptop.  I forgot to update the thread.

Thanks, so I'm closing this bug for now.  If you ever have the same
problem again, please reopen with the information that Po Lu
requested.